Bug 85634 - ssh-agent authentication problems due to stupid limitation (only 40 environment variables are passed to ssh)
Summary: ssh-agent authentication problems due to stupid limitation (only 40 environme...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rdist (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-05 10:20 UTC by Peter Urban
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version: 6.1.5-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-04 12:41:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2004:077 normal SHIPPED_LIVE An updated rdist package is available 2004-05-12 04:00:00 UTC
Red Hat Product Errata RHEA-2004:170 normal SHIPPED_LIVE An updated rdist package is available 2004-04-21 04:00:00 UTC

Description Peter Urban 2003-03-05 10:20:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

Description of problem:
rdist 6.1.5 has a stupid limitation. When it invokes rsh (or a replacement),
only 40 environment variables are passed.
This is annoying when one uses ssh as transport, with the ssh-agent
to avoid having to type the password each time. Chances are
that the SSH_AUTH_SOCK variable is dropped. In this case, ssh will
not use the ssh-agent but ask for a password instead.

A typical environment nowadays has ~40 variables (at least after logging into
KDE), do this can be a problem for a lot of people.

Fixing the bug is probably simple: change the constant 40 to say 1024
in the source code and recompile rdist.

rdist 7.0.0alpha10 fixes this bug but is unstable otherwise (the make install
rule is broken).

As far as I can see, the bug was not fixed in any later version of the Red Hat RPM.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set up ssh-agent authentication for a remote host
2. use ssh-add
3. add lots of environment variables (so that you have a lot more than 40)
4. call rdist with ssh as transport
    

Actual Results:  rdist asks for a password (probably; there is no guarantee that
rdist will drop the SSH_AUTH_SOCK variable).

Expected Results:  rdist should transfer the files without asking for a password.

Additional info:

Comment 1 Phil Knirsch 2003-09-04 12:41:12 UTC
Fixed in rdis-6.1.5-30 and later.

Read ya, Phil

Comment 2 John Flanagan 2004-04-22 00:29:36 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-170.html



Note You need to log in before you can comment on or make changes to this bug.